<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::table('maturity_answers')->where('name', 'Le référent ne voit pas quel bénéfice il peut retirer de la démarche CMT.')
            ->update([
                'name' => 'Le référent ne voit pas quel bénéfice il peut retirer de la démarche Cyberisq.',
                'slug' => Str::slug('Le référent ne voit pas quel bénéfice il peut retirer de la démarche Cyberisq.'),
            ]);

        DB::table('maturity_answers')->where('name', "Le référent perçoit les bénéfices qu'il peut retirer de la démarche CMT pour lui, les équipes de sa collectivité et les citoyens et va s'impliquer dans la mise en œuvre.")
            ->update([
                'name' => "Le référent perçoit les bénéfices qu'il peut retirer de la démarche Cyberisq pour lui, les équipes de sa collectivité et les citoyens et va s'impliquer dans la mise en œuvre.",
                'slug' => Str::slug("Le référent perçoit les bénéfices qu'il peut retirer de la démarche Cyberisq pour lui, les équipes de sa collectivité et les citoyens et va s'impliquer dans la mise en œuvre."),
            ]);

        DB::table('maturity_questions')->where('name', "Le référent est-il convaincu par la méthode CMT ?")
            ->update([
                'name' => "Le référent est-il convaincu par la méthode Cyberisq ?",
                'slug' => Str::slug("Le référent est-il convaincu par la méthode Cyberisq ?"),
            ]);

        DB::table('maturity_questions')->where('name', "Le référent est-il convaincu par la méthode CMT ?")
            ->update([
                'name' => "Le référent est-il convaincu par la méthode Cyberisq ?",
                'slug' => Str::slug("Le référent est-il convaincu par la méthode Cyberisq ?"),
            ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
